/**
	milkAdmin - WebAdministrator of Minecraft Server for Bukkit
    Copyright (C) 2010-2011  Alejandro Barreiro (Sharkiller)
**/
/*	
    This file is part of milkAdmin.

    This work is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License.
	To view a copy of this license, visit http'://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter to
	Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
*/

///////////////////////////////////////////////
//
//   Language for index.html
//
///////////////////////////////////////////////

var langIndex = {
	///////////////////
	//	Common
	///////////////////
	'lang1Yes': "Ja",
	'lang1No': "Nee",
	'lang1OK': "Oke",
	'lang1Add': "Voeg toe",
	'lang1Cancel': "Annuleren",
	'lang1Send': "Verzenden",
	'lang1Change': "Wijzig",
	'lang1On': "Aan",
	'lang1Off': "Uit",
	'lang1ReloadList': "Herlaad lijst",
	'lang1IPAddress': "IP Adres",
	'lang1Player': "Speler",
	'lang1Action': "Actie",
	'lang1User': "Gebruikersnaam",
	'lang1Password': "Wachtwoord",
	///////////////////
	//	Header
	///////////////////
	'langAbout': "Over...",
	'langLogout': "Uitloggen",
	'langChooseLanguage': "Kies een taal:",
	'langTranslate': "Vertaal naar jouw taal",
	///////////////////
	//	Update Dialog
	///////////////////
	'langNewVersionAvailable': "Nieuwe Versie Beschikbaar",
	'langVersionAvailable': "milkAdmin v_VER_ is beschikbaar!", // milkAdmin v1.0 is available
	'langUpdateNow': "Wil je de plugin nu bijwerken?",
	///////////////////
	//	About Dialog
	///////////////////
	'langmilkAdmin': "Over milkAdmin",
	'langDesign': "Ontwerp en programmeren:",
	'langUpdates': "Bijwerkingen:",
	'langThanks': "Met dank aan:",
	///////////////////
	//	Ban Dialog
	///////////////////
	'langBanOptions': "Verbanningsopties",
	'langKickPlayer': "Schop speler van de server",
	'langBanPlayerName': "Verban speler",
	'langBanIPAddress': "Verban het IP-adres",
	'langCause': "Reden",
	///////////////////
	//	Main Menu
	///////////////////
	'langRestartServer': "Herstart de Server",
	'langReloadServer': "Herlaad de Server",
	'langBackupStart': "Start Reservekopie",
	'langSaveMap': "Wereld opslaan",
	'langStopServer': "Stop de Server",
	///////////////////
	//	Sub Menu
	///////////////////
	'langServerSM': "Server",
	'langConsoleSM': "Console",
	'langPluginsSM': "Plugins",
	'langBackupsSM': "Reservekopieën",
	'langPlayersSM': "Spelers",
	'langBanListSM': "Banlijst",
	'langWhitelistSM': "Whitelist",
	///////////////////
	//	Server Info
	///////////////////
	'langLastRestart': "Meest recente herstart",
	'langAmountPlayersOnline': "Aantal Spelers Online",
	'langFreeMemory': "Vrij Geheugen",
	'langUsedMemory': "Gebruikt Geheugen",
	'langTotalMemory': "Totale hoeveelheid geheugen",
	'langMaxMemory': "Maximale Geheugen",
	'langTitleMemory': "Geheugengegevens - <b>Vrij geheugen</b>: Laat de hoeveelheid vrij geheugen in de Minecraft Server zien.<br><b>Gebruikt geheugen</b>: Laat de hoeveelheid gebruikt geheugen in de Minecraft Server zien.<br><b>Totale geheugen</b>: Laat de totale hoeveelheid geheugen zien die de Minecraft Server op dit moment gebruikt.<br><b>Max geheugen</b>: Laat de maximale hoeveelheid geheugen zien die de Minecraft Server zal proberen te gebruiken.",
	'langFreeSpace': "Vrije Ruimte",
	'langUsedSpace': "Gebruikte Ruimte",
	'langTotalSpace': "Totale Ruimte",
	'langTitleSpace': "Ruimtegegevens - Gebaseerd op de \"Reservekopieën\"-map.",
	'langServerVersion': "Server Versie",
	'langCraftbukkitBuild': "Craftbukkit Versie",
	///////////////////
	//	Server Panel
	///////////////////
	//	Server Info
	///////////////////
	'langServerInfoSM': "Server Info",
	'langBroadcastMessage': "Zend bericht uit",
	'langTitleBroadcastMessage': "Zend bericht uit - Stuur een bericht naar alle spelers zonder tag.",
	'langLevelName': "Naam van hoofdlevel",
	'langTitleLevelName': "De waarde zal gebruikt worden als wereldnaam en als mapnaam.<br>In plaats daarvan kun je ook de map met jouw wereld hierheen kopiëren en de naam op die van de map zetten om die te laden.",
	'langMCIPPORT': "Minecraft Server IP en Poort",
	'langTitleMCIPPORT': "<b>IP:</b>Stel dit in als je de server aan een bepaald IP wil laten binden. Het word ten zeerste aangeraden om server-ip leeg te laten!<br><b>Poort:</b> Verandert de poort waarop de server aanbiedt. Deze poort moet worden doorgestuurd als de server achter een router zit.<br><b>Geldige waarden:</b><ul><li><b>IP:</b> Leeg, of het IP waarop je je server wil draaien.</li><li><b>Poort:</b> Een nummer van <b>1 tot 65535</b>. Standaard: <b>25565</b><ul><li>Zet dit groter dan 20000 om conflicten met door het systeem gereserveerde poorten te vermijden.</li></ul></li></ul>",
	'langMaxPlayers': "Max Spelers",
	'langTitleMaxPlayers': "Het maximale aantal spelers dat tegelijk op de server kan spelen.<br><i>Merk op dat als er meer spelers op de server zijn, er meer middelen gebruikt worden.</i><br><i>Merk ook op dat admin-verbindingen hierin niet mee worden geteld.</i><br><b>Geldige waarden:</b><ul><li>Een nummer van <b>0 tot 255</b>.</li></ul>",
	'langViewDistance': "Kijkafstand",
	'langTitleViewDistance': "Hoeveel chunks de server naar de spelers stuurt.<br><b>Geldige waarden:</b><ul><li>Een nummer van <b>3 tot 15</b>. Standaard: <b>10</b></li></ul>",
	'langHoldMessage': "Wachtbericht",
	'langTitleHoldMessage': "Bericht dat MCSODRTK weergeeft als de Server In De Wacht staat.<br><i>Heeft MinecraftRemoteToolkit nodig.</i>",
	'langAllowNether': "Sta Nether toe.",
	'langTitleAllowNether': "Staat spelers toe om naar de Nether te reizen.<ul><li><b>true</b> = De server zal Portals toestaan spelers naar de Nether te sturen.</li><li><b>false</b> = Portals zullen niet naar de Nether laten reizen.</li></ul>",
	'langSpawnMonsters': "Laat monsters verschijnen",
	'langTitleSpawnMonsters': "Stel in op true als je wil dat er \'s nachts monsters verschijnen, op false als je dat niet wil.<br><i>Tip: als je veel last hebt van vertraging, zet dit uit.</i><ul><li><b>true</b> = Monsters zullen \'s nachts en in het donker verschijnen.</li><li><b>false</b> = Geen monsters.</li></ul>",
	'langSpawnAnimals': "Laat dieren verschijnen",
	'langTitleSpawnAnimals': "Dieren zullen kunnen verschijnen. <ul><li><b>true</b> = Dieren zullen verschijnen zoals gewoonlijk.</li><li><b>false</b> = Dieren zullen onmiddellijk verdwijnen.</li></ul> ",
	'langOnlineMode': "Online modus (Controleer namen)",
	'langTitleOnlineMode': "De Server controleert verbindende spelers met Minecraft\'s account-database.<br>Zet dit alleen op false als je server niet met het internet is verbonden.<ul><li><b>true</b> = De server zal aannemen dat het een internetverbinding heeft en elke speler op minecraft.net controleren.</li><li><b>false</b> = De server zal niet proberen verbindende spelers te controleren.</li></ul>",
	'langPVP': "Speler Tegen Speler (PVP)",
	'langTitlePVP': "Sta Speler tegen Speler (Player vs Player) toe op de server.<br><i>Merk op: Als je een speler slaat terwijl PvP op false staat en je hebt getemde wolven,<br> dan vallen de wolven nog steeds de aangevallen speler aan.</i><ul><li><b>true</b> = Spelers kunnen elkaar doden.</li><li><b>false</b> = Spelers kunnen andere spelers niet doden.</li></ul>",
	'langAllowFlight': "Sta vliegen toe",
	'langTitleAllowFlight': "Staat gebruikers toe te vliegen/no-clip te gebruiken op je server, als ze een mod die daarin voorziet geïnstalleerd hebben.<ul><li><b>true</b> = Vliegen/no-clip is toegestaan, en wordt gebruikt als de speler zo\'n mod geïnstalleerd heeft.</li><li><b>false</b> = Vliegen/no-clip is niet toegestaan.</li></ul>",
	'langWhitelist': "Whitelist",
	'langTitleWhitelist': "Schakel een witte lijst in op de server. Met een witte lijst ingeschakeld, zullen gebruikers die niet op die lijst staan niet kunnen verbinden.<ul><li><b>true</b> = Het bestand white-list.txt wordt gebruikt om de witte lijst te genereren.</li><li><b>false</b> = Er wordt geen witte lijst gebruikt.</li></ul>",
	///////////////////
	//	Whitelist
	///////////////////
	'langWhitelistSM': "Whitelist",
	'langWLAddPlayer': "Voeg speler toe",
	'langWLDeleteSelected': "Verwijder geselecteerden.",
	'langWLSaveChanges': "Sla wijzigingen op",
	///////////////////
	//	Plugin Panel
	///////////////////
	'langEnablePlugin': "Plugin aanzetten",
	'langEnable': "Inschakelen",
	'langPluginName': "Naam van de plugin",
	'langVersion': "Versie",
	'langReloadTheList': "Herlaad de lijst",
	///////////////////
	//	Backup Panel
	///////////////////
	'langChooseYourBackup': "Kies een reservekopie",
	'langRestoreBackup': "Zet reservekopie terug",
	'langDeleteBackup': "Verwijder reservekopie",
	'langBackupClear': "Verwijder vorige mappen alvorens de reservekopie terug te zetten.",
	///////////////////
	//	Players
	///////////////////
	'langUserManagement': "Gebruikersbeheer",
	'langIP': "IP",
	'langPort': "Poort",
	'langKill': "Vermoord",
	'langKick': "Schop",
	'langBanName': "Verban",
	'langBanIP': "Verban IP",
	'langAmount': "Aantal keren",
	'langShootArrow': "Schiet een pijl",
	'langShootFireball': "Schiet vuurbal",
	'langThrowEgg': "Gooi een ei",
	'langThrowSnowball': "Gooi een Sneeuwbal",
	'langTeleportToPlayer': "Teleporteren naar Speler",
	'langTeleportToCoord': "Teleporteren naar Coordinaten",
	'langChangeName': "Verander naam",
	///////////////////
	//	Ban List
	///////////////////
	'langCreateBan': "Verban IP-adres of Naam",
	'langClearFilter': "Filter Wissen",
	///////////////////
	//	milkAdmin
	///////////////////
	'langRegisterAdmin': "Registreer een nieuwe beheerder",
	'langCreateAdmin': "Maak beheerder"
};

var jsIndex = {
	'sProcessing': "Verwerken...",
	'sLengthMenu': "Toon _MENU_ plugins", // Show 10 plugins
	'sZeroRecords': "Geen plugins gevonden.",
	'sInfo': "_START_->_END_ van de _TOTAL_ plugins aan het tonen.", // Showing 1->10 of 17 plugins
	'sInfoEmpty': "Geen plugins om te tonen",
	'sInfoFiltered': "(filter van _MAX_ plugins)", // (filter of 17 plugins)
	'sSearch': "Zoek Plugin:",
	'sFirst': "Eerste",
	'sPrevious': "Laatste",
	'sNext': "Volgende",
	'sLast': "Laatste",
	'ReloadServer': "Server aan het herladen!",
	'RestartServer': "Server aan het herstarten!",
	'StopServer': "Server aan het stoppen!",
	'EnablePlugin': "Plugin ingeschakeld!",
	'StartBackup': "Reservekopie aan het starten!",
	'RTKNeeded': "U heeft de RemoteToolkit nodig om deze functie te kunnen gebruiken!",
	'NoUsersOnline': "Geen spelers online",
	'NoBackups': "Er zijn geen reservekopieën!",
	'activate': "Activeren",
	'deactivate': "Deactiveren",
	'unban': "Pardon geven",
	'MustLogin': "U moet inloggen!",
	'UnknownError': "Onbekende fout! Probeer het opnieuw!",
	'NotResponse': "Server reageert niet! Probeer het opnieuw!",
	'InvalidIP': "Ongeldig IP-adres.",
	'UpdateNow': "Werk nu bij",
	'later': "Later"
};

var jsAjax = {
	'accountcreated': "Account Aangemaakt!",
	'worldsaved': "Wereld Opgeslagen!",
	'messagesent': "Bericht verzonden",
	'broadcastedmessage': "Bericht uitgezonden",
	'forcestop': "Geforceerde stop",
	'plugindisabled': "Plugin van _NAME_ uitgeschakeld", // PluginX's plugin disabled.
	'pluginenabled': "Plugin van _NAME_ ingeschakeld", // PluginX's plugin enabled.
	'editedproperty': "Eigenschap bewerkt",
	'worldbackedup': "Kopie van wereld gemaakt",
	'deletebackup': "Kopie van wereld verwijderd",
	'kickplayer': "_NAME_ van de server geschopt", // Sharkiller kicked from the server
	'itemsgiven': "_NAME_ kreeg _AMOUNT_ eenheden van _ITEM_", // Sharkiller was given 64 units of IRON
	'itemsremoved': "_NAME_ Verwijdert _AMOUNT_ aantal van _ITEM_", // Sharkiller removed 64 units of TNT
	'playerkilled': "_NAME_ vermoord", // Sharkiller killed
	'healthchanged': "_NAME_\'s Leven verandert naar _AMOUNT_/20", // Sharkiller's health changed to 5/20
	'playerbanned': "_NAME_ werd verbannen!", // Sharkiller was banned!
	'playerunbanned': "_NAME_ heeft weer servertoegang!", // Sharkiller was unbanned!
	'ipbanned': "_IP_ is verbannen!", // 19.64.84.24 was banned!
	'ipunbanned': "_IP_ kan weer verbinden met de server!", // 19.64.84.24 was unbanned!
	'arrowshooted': "Pijl Geschoten!", 
	'fireballshooted': "Vuurbal afgeschoten!", 
	'throwsnowball': "Sneeuwbal gegooid!",
	'throwegg': "Ei gegooid!",
	'changename': "De naam van _OLD_ is nu _NEW_", // Sharkiller's name changed to Peter
	'playerteleported': "Speler Geteleporteerd",
	'langchanged': "Taal veranderd! Pagina wordt herladen...",
	'wlloaded': "Whitelist geladen!",
	'wladded': "Aan de Witte Lijst toegevoegd!",
	'wlsaved': "Witte Lijst is succesvol opgeslagen!",
	///////////////////
	//	Errors
	///////////////////
	'badparameters': "Slechte Parameters",
	'messageempty': "Leeg Bericht",
	'wladdfail': "Speler aan de whitelist toevoegen is mislukt!",
	'wlsavefail': "Opslaan van de whitelist is mislukt! Probeer het opnieuw!",
	'playernotconnected': "De speler is niet online",
	'playernotbanned': "De speler is niet verbannen",
	'ipnotbanned': "Dit IP is niet verbannen",
	'langnotfound': "Taal niet gevonden!"
};

///////////////////////////////////////////////
//
//   Language for login.html
//
///////////////////////////////////////////////

var langLogin = {
	'langmilkAdminLogin': "Inloggen in milkAdmin",
	'langUsername': "Gebruikersnaam",
	'langPassword': "Wachtwoord",
	'langLogin': "Inloggen"
};

var jsLogin = {
	'welcome': "Welkom! Pagina aan het laden...",
	'UnknownError': "Onbekende fout! Probeer het opnieuw!",
	'NotResponse': "Server reageert niet! Probeer het opnieuw!",
	'invalidlogin': "Ongeldige gebruikersnaam en/of wachtwoord!"
};

///////////////////////////////////////////////
//
//   Language for register.html
//
///////////////////////////////////////////////

var langRegister = {
	'langCreateAnAccount': "Maak een account aan",
	'langUsername': "Gebruikersnaam",
	'langPassword': "Wachtwoord",
	'langCreateAccount': "Maak account"
};

var jsRegister = {
	'created': "Account aangemaakt! Pagina laden...",
	'notadmin': "Je kunt \"admin\" niet als gebruikersnaam gebruiken",
	'baduser': "Voer aub een geldige gebruikersnaam/wachtwoord combinatie in",
	'UnknownError': "Onbekende fout! Probeer het opnieuw!",
	'NotResponse': "Server reageert niet! Probeer het opnieuw!",
	'error': "Ongeldige gebruikersnaam en/of wachtwoord!"
};

///////////////////////////////////////////////
//
//   Language for startServer.html
//
///////////////////////////////////////////////

var langStart = {
	'langStartServer': "Start de Server"
};

///////////////////////////////////////////////
//
//   Language for wait.html
//
///////////////////////////////////////////////

var langWait = {
	'langPleaseWait20Seconds': "Gelieve 20 seconden te wachten"
};

///////////////////////////////////////////////
//
//   Language for backup.html
//
///////////////////////////////////////////////

var langBackup = {
	'langStatus': "Reservekopie aan het maken"
};

var jsBackup = {
	'Complete': "Reservekopie compleet! Server aan het starten...",
	'UnknownError': "Onbekende fout! Probeer het opnieuw!",
	'NotResponse': "Server reageert niet! Probeer het opnieuw!"
};