/**
	milkAdmin - WebAdministrator of Minecraft Server for Bukkit
    Copyright (C) 2010-2011  Alejandro Barreiro (Sharkiller)
**/
/*	
    This file is part of milkAdmin.

    This work is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License.
	To view a copy of this license, visit http'://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter to
	Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
*/

///////////////////////////////////////////////
//
//   Language for index.html
//
///////////////////////////////////////////////

var langIndex = {
	///////////////////
	//	Common
	///////////////////
	'lang1Yes': "Kyllä",
	'lang1No': "Ei",
	'lang1OK': "lang1OK",
	'lang1Add': "Add",
	'lang1Cancel': "Peruuta",
	'lang1Send': "Lähetä",
	'lang1Change': "Vaihda",
	'lang1On': "Päällä",
	'lang1Off': "Pois päältä",
	'lang1ReloadList': "Lataa uudelleen",
	'lang1IPAddress': "IP Osoite",
	'lang1Player': "Pelaaja",
	'lang1Action': "Toiminta",
	'lang1User': "Käyttäjänimi",
	'lang1Password': "Salasana",
	///////////////////
	//	Header
	///////////////////
	'langAbout': "Tietoa...",
	'langLogout': "Kirjaudu Ulos",
	'langChooseLanguage': "Valitse kieli:",
	'langTranslate': "Translate to your language",
	///////////////////
	//	Update Dialog
	///////////////////
	'langNewVersionAvailable': "New Version Available",
	'langVersionAvailable': "milkAdmin v_VER_ is available", // milkAdmin v1.0 is available
	'langUpdateNow': "Would you like to update now?",
	///////////////////
	//	About Dialog
	///////////////////
	'langmilkAdmin': "About milkAdmin",
	'langDesign': "Design and Programming:",
	'langUpdates': "Päivitykset:",
	'langThanks': "Kiitokset:",
	///////////////////
	//	Ban Dialog
	///////////////////
	'langBanOptions': "Kieltoasetukset",
	'langKickPlayer': "Poista pelaaja",
	'langBanPlayerName': "Kiellä pelaajan nimi",
	'langBanIPAddress': "Kiellä IP-osoite",
	'langCause': "Syy",
	///////////////////
	//	Main Menu
	///////////////////
	'langRestartServer': "Uudelleenkäynnistä palvelin",
	'langReloadServer': "Uudelleenlataa palvelin",
	'langBackupStart': "Start Backup",
	'langSaveMap': "Tallenna maailma",
	'langStopServer': "Sammuta palvelin",
	///////////////////
	//	Sub Menu
	///////////////////
	'langServerSM': "Palvelin",
	'langConsoleSM': "Konsoli",
	'langPluginsSM': "Lisäosat",
	'langBackupsSM': "Varmuuskopiot",
	'langPlayersSM': "Pelaajat",
	'langBanListSM': "Banlist",
	'langWhitelistSM': "Valkoinen lista",
	///////////////////
	//	Server Info
	///////////////////
	'langLastRestart': "Viimeinen uudelleenkäynnistys",
	'langAmountPlayersOnline': "Number of Players Online",
	'langFreeMemory': "Vapaa muisti",
	'langUsedMemory': "Käytetty muisti",
	'langTotalMemory': "Muistia yhteensä",
	'langMaxMemory': "Maksimimuisti",
	'langTitleMemory': "Memory Data - <b>Free Memory</b>: Show the amount of free memory in the Minecraft Server.<br><b>Used Memory</b>: Show the amount of used memory in the Minecraft Server.<br><b>Total Memory</b>: Show the total amount of memory that the Minecraft Server use right now.<br><b>Max Memory</b>: Show the maximum amount of memory that the Minecraft Server will attempt to use.",
	'langFreeSpace': "Free Space",
	'langUsedSpace': "Used Space",
	'langTotalSpace': "Total Space",
	'langTitleSpace': "Space Data - Based on &quot;Backup Folder&quot; directory.",
	'langServerVersion': "Palvelimen versio",
	'langCraftbukkitBuild': "Craftbukkit-versio",
	///////////////////
	//	Server Panel
	///////////////////
	//	Server Info
	///////////////////
	'langServerInfoSM': "Server Info",
	'langBroadcastMessage': "Broadcast Message",
	'langTitleBroadcastMessage': "Broadcast Message - Send a message to all players whitout tag.",
	'langLevelName': "Main Level Name",
	'langTitleLevelName': "The value will be used as world name and as folder name.<br>You may also copy your saved game folder here, and change the name to the same as that folder\'s to load it instead. ",
	'langMCIPPORT': "Minecraft Server IP and Port",
	'langTitleMCIPPORT': "<b>IP:</b> Set this if you want the server to bind to a particular IP. It is strongly recommended that you leave server-ip blank!<br><b>Port:</b> Changes the port the server is hosting on. This port must be forwarded if the server is going through a router.<br><b>Valid values:</b><ul><li><b>IP:</b> Blank, or the IP you want your server to run on.</li><li><b>Port:</b> A number between <b>1-65535</b>. Default: <b>25565</b><ul><li>Should be greater than 20000 to avoid conflicts with system reserved ports.</li></ul></li></ul>",
	'langMaxPlayers': "Max Players",
	'langTitleMaxPlayers': "The max numbers of players that can play on the server at the same time.<br><i>Note that if more players are on the server it will use more resources.</i><br><i>Note also, admin connections are not counted against the max players.</i><br><b>Valid values:</b><ul><li>A number between <b>0-255</b>.</li></ul>",
	'langViewDistance': "View Distance",
	'langTitleViewDistance': "The amount of chunks the server sends to the players.<br><b>Valid values:</b><ul><li>A number between <b>3-15</b>. Default: <b>10</b></li></ul>",
	'langHoldMessage': "Hold Message",
	'langTitleHoldMessage': "Message that MCSODRTK will display when Server is on Hold.<br><i>Needs MinecraftRemoteToolkit</i>",
	'langAllowNether': "Allow Nether",
	'langTitleAllowNether': "Allows players to travel to the Nether.<ul><li><b>true</b> = The server will allow Portals to send players to the Nether.</li><li><b>false</b> = Portals will not travel to the Nether.</li></ul>",
	'langSpawnMonsters': "Synnytä monstereita",
	'langTitleSpawnMonsters': "Set true if you want monsters to be spawned at night, false if you don\'t.<br><i>Tip: if you have major lag, turn this off.</i><ul><li><b>true</b> = Monsters will appear at night and in the dark.</li><li><b>false</b> = No monsters.</li></ul>",
	'langSpawnAnimals': "Synnytä eläimiä",
	'langTitleSpawnAnimals': "Animals will be able to spawn.<ul><li><b>true</b> = Animals spawn as normal.</li><li><b>false</b> = Animals will immediately vanish.</li></ul>",
	'langOnlineMode': "Paikalla-tila (vahvista nimet)",
	'langTitleOnlineMode': "Server checks connecting players against minecraft\'s account database.<br>Only set this to false if your server is not connected to the Internet.<ul><li><b>true</b> = The server will assume it has an Internet connection and check in minecraft.net every connecting player.</li><li><b>false</b> = The server will not attempt to check connecting players.</li></ul>",
	'langPVP': "Pelaaja vs Pelaaja (PVP)",
	'langTitlePVP': "Enable Player vs Player on the server.<br><i>Note: Hitting a player while having PvP set to false and having tamed wolfs will still cause the wolfs<br>attacking the attacked player.</i><ul><li><b>true</b> = Players will be able to kill each other.</li><li><b>false</b> = Players cannot kill other players.</li></ul>",
	'langAllowFlight': "Salli lento",
	'langTitleAllowFlight': "Will allow users to use flight/no-clip on your server, if they have an mod that provides flight/no-clip installed.<ul><li><b>true</b> = Flight/no clip is allowed, and used if the player have a no-clip mod installed.</li><li><b>false</b> = Flight/no-clip is not allowed.</li></ul>",
	'langWhitelist': "Valkoinen lista",
	'langTitleWhitelist': "Enable a white list on the server. With a white list enabled, users not on the white list will be unable to connect.<ul><li><b>true</b> = The file white-list.txt is used to generate the white list.</li><li><b>false</b> = No white list is used.</li></ul>",
	///////////////////
	//	Whitelist
	///////////////////
	'langWhitelistSM': "Valkoinen lista",
	'langWLAddPlayer': "Add player",
	'langWLDeleteSelected': "Delete Selected",
	'langWLSaveChanges': "Save Changes",
	///////////////////
	//	Plugin Panel
	///////////////////
	'langEnablePlugin': "Ota lisäosa käyttöön",
	'langEnable': "Ota käyttöön",
	'langPluginName': "Lisäosan nimi",
	'langVersion': "Versio",
	'langReloadTheList': "Lataa lista uudelleen",
	///////////////////
	//	Backup Panel
	///////////////////
	'langChooseYourBackup': "Valitse varmuuskopio",
	'langRestoreBackup': "Palauta varmuuskopio",
	'langDeleteBackup': "Poista varmuuskopio",
	'langBackupClear': "Remove previous folders before restoring the backup",
	///////////////////
	//	Players
	///////////////////
	'langUserManagement': "Käyttäjähallinta",
	'langIP': "IP-osoite",
	'langPort': "Portti",
	'langKill': "Tapa",
	'langKick': "Potki",
	'langBanName': "Kiellä",
	'langBanIP': "Kiellä IP-osoite",
	'langAmount': "Määrän kertoja",
	'langShootArrow': "Ammu nuoli",
	'langShootFireball': "Ammu tulipallo",
	'langThrowEgg': "Heitä muna",
	'langThrowSnowball': "Heitä lumipallo",
	'langTeleportToPlayer': "Teleporttaa pelaajaan",
	'langTeleportToCoord': "Teleporttaa koordinaatteihin",
	'langChangeName': "Vaihda nimi",
	///////////////////
	//	Ban List
	///////////////////
	'langCreateBan': "Poista IP-osoite tai nimi",
	'langClearFilter': "Tyhjennä suodatin",
	///////////////////
	//	milkAdmin
	///////////////////
	'langRegisterAdmin': "Rekisteröi uusi ylläpitäjä",
	'langCreateAdmin': "Uusi ylläpitäjä"
};

var jsIndex = {
	'sProcessing': "Suoritetaan...",
	'sLengthMenu': "Näytä _MENU_ lisäosaa", // Show 10 plugins
	'sZeroRecords': "Lisäosia ei löydetty.",
	'sInfo': "Näytetään _START_->_END_ of _TOTAL_ lisäosaa", // Showing 1->10 of 17 plugins
	'sInfoEmpty': "Ei ole lisäosia näytettäväksi",
	'sInfoFiltered': "(filter of _MAX_ plugins)", // (filter of 17 plugins)
	'sSearch': "Etsi lisäosia:",
	'sFirst': "Ensimmäinen",
	'sPrevious': "Edellinen",
	'sNext': "Seuraava",
	'sLast': "Viimeinen",
	'ReloadServer': "Uudelleenladataan palvelinta!",
	'RestartServer': "Uudelleenkäynnistetään palvelinta!",
	'StopServer': "Sammutetaan palvelinta!",
	'EnablePlugin': "Lisäosa käytössä!",
	'StartBackup': "Starting Backup!",
	'RTKNeeded': "You need the RemoteToolkit to use this function!",
	'NoUsersOnline': "Ei pelaajia paikalla",
	'NoBackups': "There are no backups!",
	'activate': "Ota käyttöön",
	'deactivate': "Ota pois käytöstä",
	'unban': "Poista kielto",
	'MustLogin': "You must login!",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again",
	'InvalidIP': "Virheellinen IP-osoite",
	'UpdateNow': "Päivitä nyt",
	'later': "Myöhemmin"
};

var jsAjax = {
	'accountcreated': "Tili luotu!",
	'worldsaved': "Maailma tallennettu!",
	'messagesent': "Viesti lähetetty",
	'broadcastedmessage': "Viesti kuulutettu",
	'forcestop': "Pakota sammutus",
	'plugindisabled': "_NAME_\'s lisäosa otettu pois käytöstä.", // PluginX's plugin disabled.
	'pluginenabled': "_NAME_\'s lisäosa otettu käyttöön.", // PluginX's plugin enabled.
	'editedproperty': "Muokattu kiinteistöä",
	'worldbackedup': "Maailma varmuuskopioitu",
	'deletebackup': "Varmuuskopio poistettu",
	'kickplayer': "_NAME_ potkittu palvelimelta", // Sharkiller kicked from the server
	'itemsgiven': "_NAME_ sai _AMOUNT_  _ITEM_", // Sharkiller was given 64 units of IRON
	'itemsremoved': "_NAME_ poisti _AMOUNT_  _ITEM_", // Sharkiller removed 64 units of TNT
	'playerkilled': "_NAME_ tappoi", // Sharkiller killed
	'healthchanged': "_NAME_n elämämäärä vaihdettiin _AMOUNT_/20", // Sharkiller's health changed to 5/20
	'playerbanned': "_NAME_ kiellettiin!", // Sharkiller was banned!
	'playerunbanned': "_NAME_n kielto poistettiin!", // Sharkiller was unbanned!
	'ipbanned': "_IP_ kiellettoon!", // 19.64.84.24 was banned!
	'ipunbanned': "_IP_ was unbanned!", // 19.64.84.24 was unbanned!
	'arrowshooted': "Arrow Shot!", 
	'fireballshooted': "Tulipallo ammuttu!", 
	'throwsnowball': "Lumipallo heitetty!",
	'throwegg': "Egg thrown!",
	'changename': "_OLD_ nimi vaihdettiin _NEW_", // Sharkiller's name changed to Peter
	'playerteleported': "Pelaaja teleportattu",
	'langchanged': "Kieli vaihdettu! Ladataan sivua uudeleen...",
	'wlloaded': "Whitelist loaded!",
	'wladded': "Added to Whitelist!",
	'wlsaved': "Whitelist has been saved successfully!",
	///////////////////
	//	Errors
	///////////////////
	'badparameters': "Sopimaton parametri",
	'messageempty': "Tyhjä viesti",
	'wladdfail': "Failed to add player to Whitelist!",
	'wlsavefail': "Failed to save Whitelist! Try again!",
	'playernotconnected': "Pelaaja ei palvelimella",
	'playernotbanned': "Pelaajaa ei kielletty",
	'ipnotbanned': "IP-osoitetta ei kielletty",
	'langnotfound': "Kieli ei löytynyt!"
};

///////////////////////////////////////////////
//
//   Language for login.html
//
///////////////////////////////////////////////

var langLogin = {
	'langmilkAdminLogin': "Kirjaudu milkAdminiin",
	'langUsername': "Käyttäjänimi",
	'langPassword': "Salasana",
	'langLogin': "Kirjaudu"
};

var jsLogin = {
	'welcome': "Welcome! Loading page...",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again",
	'invalidlogin': "Sopimaton käyttäjänimi tai salasana!"
};

///////////////////////////////////////////////
//
//   Language for register.html
//
///////////////////////////////////////////////

var langRegister = {
	'langCreateAnAccount': "Tee käyttäjä",
	'langUsername': "Käyttäjänimi",
	'langPassword': "Salasana",
	'langCreateAccount': "Tee käyttäjä"
};

var jsRegister = {
	'created': "Account Created! Loading page...",
	'notadmin': "You can not use \"admin\" as username",
	'baduser': "Please enter a valid username and password",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again",
	'error': "Sopimaton käyttäjänimi tai salasana!"
};

///////////////////////////////////////////////
//
//   Language for startServer.html
//
///////////////////////////////////////////////

var langStart = {
	'langStartServer': "Käynnistä palvelin"
};

///////////////////////////////////////////////
//
//   Language for wait.html
//
///////////////////////////////////////////////

var langWait = {
	'langPleaseWait20Seconds': "Odota 20 sekuntia"
};

///////////////////////////////////////////////
//
//   Language for backup.html
//
///////////////////////////////////////////////

var langBackup = {
	'langStatus': "Backing up"
};

var jsBackup = {
	'Complete': "Backup Complete! Starting Server...",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again"
};