/**
	milkAdmin - WebAdministrator of Minecraft Server for Bukkit
    Copyright (C) 2010-2011  Alejandro Barreiro (Sharkiller)
**/
/*	
    This file is part of milkAdmin.

    This work is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License.
	To view a copy of this license, visit http'://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter to
	Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
*/

///////////////////////////////////////////////
//
//   Language for index.html
//
///////////////////////////////////////////////

var langIndex = {
	///////////////////
	//	Common
	///////////////////
	'lang1Yes': "Igen",
	'lang1No': "Nem",
	'lang1OK': "OK",
	'lang1Add': "Add",
	'lang1Cancel': "Mégsem",
	'lang1Send': "Küldés",
	'lang1Change': "Változtat",
	'lang1On': "Be",
	'lang1Off': "Ki",
	'lang1ReloadList': "Lista újratöltése",
	'lang1IPAddress': "IP cím",
	'lang1Player': "Játékos",
	'lang1Action': "Művelet",
	'lang1User': "Felhasználónév",
	'lang1Password': "Jelszó",
	///////////////////
	//	Header
	///////////////////
	'langAbout': "Névjegy",
	'langLogout': "Kijelentkezés",
	'langChooseLanguage': "Válassz nyelvet:",
	'langTranslate': "Fordítsd le a nyelvedre",
	///////////////////
	//	Update Dialog
	///////////////////
	'langNewVersionAvailable': "Új verzió érhető el",
	'langVersionAvailable': "milkAdmin v_VER_ is available", // milkAdmin v1.0 is available
	'langUpdateNow': "Szeretnéd frissíteni?",
	///////////////////
	//	About Dialog
	///////////////////
	'langmilkAdmin': "A milkAdmin névjegye",
	'langDesign': "Dizájn és programozás:",
	'langUpdates': "Frissítések:",
	'langThanks': "Köszönet:",
	///////////////////
	//	Ban Dialog
	///////////////////
	'langBanOptions': "Kitiltás opciók",
	'langKickPlayer': "Játékos kirúgása",
	'langBanPlayerName': "Játékosnév kitiltása",
	'langBanIPAddress': "IP cím kitiltása",
	'langCause': "Oka",
	///////////////////
	//	Main Menu
	///////////////////
	'langRestartServer': "Szerver újraindítása",
	'langReloadServer': "Szerver újratöltése",
	'langBackupStart': "Mentés indítása",
	'langSaveMap': "Világ mentése",
	'langStopServer': "Szerver leállítása",
	///////////////////
	//	Sub Menu
	///////////////////
	'langServerSM': "Szerver",
	'langConsoleSM': "Konzol",
	'langPluginsSM': "Bővítmények",
	'langBackupsSM': "Biztonsági mentések",
	'langPlayersSM': "Játékosok",
	'langBanListSM': "Banlist",
	'langWhitelistSM': "Fehérlista",
	///////////////////
	//	Server Info
	///////////////////
	'langLastRestart': "Utolsó újraindítás",
	'langAmountPlayersOnline': "Number of Players Online",
	'langFreeMemory': "Szabad memória",
	'langUsedMemory': "Felhasznált memória",
	'langTotalMemory': "Összes memória",
	'langMaxMemory': "Maximális memória",
	'langTitleMemory': "Memória adatok - <b>Szabad memória</b>: A Minecraft szerver szabad memóriájának mennyiségét mutatja.<br><b>Felhasznált memória</b>: A Minecraft szerver által felhasznált memória mennyiségét mutatja.<br><b>Összes memória</b>: A Minecraft szerver által összesen használt memória mennyiségét mutatja.<br><b>Maximális memória</b>: A Minecraft szerver által használható memória mennyiségét mutatja.",
	'langFreeSpace': "Szabad terület",
	'langUsedSpace': "Felhasznált terület",
	'langTotalSpace': "Teljes méret",
	'langTitleSpace': "Hely információk - A &quot;Mentés könyvtáron&quot; alapulnak.",
	'langServerVersion': "Szerver verzió",
	'langCraftbukkitBuild': "Craftbukkit verzió",
	///////////////////
	//	Server Panel
	///////////////////
	//	Server Info
	///////////////////
	'langServerInfoSM': "Szerver információ",
	'langBroadcastMessage': "Üzenetszórás",
	'langTitleBroadcastMessage': "Üzenetszórás - Egy üzenet küldése minden játékosnak név nélkül.",
	'langLevelName': "Alap szint neve",
	'langTitleLevelName': "The value will be used as world name and as folder name.<br>You may also copy your saved game folder here, and change the name to the same as that folder\'s to load it instead. ",
	'langMCIPPORT': "Minecraft Szerver IP és Port",
	'langTitleMCIPPORT': "<b>IP:</b> Set this if you want the server to bind to a particular IP. It is strongly recommended that you leave server-ip blank!<br><b>Port:</b> Changes the port the server is hosting on. This port must be forwarded if the server is going through a router.<br><b>Valid values:</b><ul><li><b>IP:</b> Blank, or the IP you want your server to run on.</li><li><b>Port:</b> A number between <b>1-65535</b>. Default: <b>25565</b><ul><li>Should be greater than 20000 to avoid conflicts with system reserved ports.</li></ul></li></ul>",
	'langMaxPlayers': "Maximum játékos",
	'langTitleMaxPlayers': "The max numbers of players that can play on the server at the same time.<br><i>Note that if more players are on the server it will use more resources.</i><br><i>Note also, admin connections are not counted against the max players.</i><br><b>Valid values:</b><ul><li>A number between <b>0-255</b>.</li></ul>",
	'langViewDistance': "Látótávolság",
	'langTitleViewDistance': "The amount of chunks the server sends to the players.<br><b>Valid values:</b><ul><li>A number between <b>3-15</b>. Default: <b>10</b></li></ul>",
	'langHoldMessage': "Hold Message",
	'langTitleHoldMessage': "Message that MCSODRTK will display when Server is on Hold.<br><i>Needs MinecraftRemoteToolkit</i>",
	'langAllowNether': "Allow Nether",
	'langTitleAllowNether': "Allows players to travel to the Nether.<ul><li><b>true</b> = The server will allow Portals to send players to the Nether.</li><li><b>false</b> = Portals will not travel to the Nether.</li></ul>",
	'langSpawnMonsters': "Szörnyek",
	'langTitleSpawnMonsters': "Set true if you want monsters to be spawned at night, false if you don\'t.<br><i>Tip: if you have major lag, turn this off.</i><ul><li><b>true</b> = Monsters will appear at night and in the dark.</li><li><b>false</b> = No monsters.</li></ul>",
	'langSpawnAnimals': "Állatok",
	'langTitleSpawnAnimals': "Animals will be able to spawn.<ul><li><b>true</b> = Animals spawn as normal.</li><li><b>false</b> = Animals will immediately vanish.</li></ul>",
	'langOnlineMode': "Online mód (nevek ellenőrzése)",
	'langTitleOnlineMode': "Server checks connecting players against minecraft\'s account database.<br>Only set this to false if your server is not connected to the Internet.<ul><li><b>true</b> = The server will assume it has an Internet connection and check in minecraft.net every connecting player.</li><li><b>false</b> = The server will not attempt to check connecting players.</li></ul>",
	'langPVP': "Játékos játékos ellen (PVP)",
	'langTitlePVP': "Enable Player vs Player on the server.<br><i>Note: Hitting a player while having PvP set to false and having tamed wolfs will still cause the wolfs<br>attacking the attacked player.</i><ul><li><b>true</b> = Players will be able to kill each other.</li><li><b>false</b> = Players cannot kill other players.</li></ul>",
	'langAllowFlight': "Repülés engedélyezése",
	'langTitleAllowFlight': "Will allow users to use flight/no-clip on your server, if they have an mod that provides flight/no-clip installed.<ul><li><b>true</b> = Flight/no clip is allowed, and used if the player have a no-clip mod installed.</li><li><b>false</b> = Flight/no-clip is not allowed.</li></ul>",
	'langWhitelist': "Fehérlista",
	'langTitleWhitelist': "Enable a white list on the server. With a white list enabled, users not on the white list will be unable to connect.<ul><li><b>true</b> = The file white-list.txt is used to generate the white list.</li><li><b>false</b> = No white list is used.</li></ul>",
	///////////////////
	//	Whitelist
	///////////////////
	'langWhitelistSM': "Fehérlista",
	'langWLAddPlayer': "Add player",
	'langWLDeleteSelected': "Delete Selected",
	'langWLSaveChanges': "Save Changes",
	///////////////////
	//	Plugin Panel
	///////////////////
	'langEnablePlugin': "Bővítmény engedélyezése",
	'langEnable': "Engedélyez",
	'langPluginName': "Bővítmény neve",
	'langVersion': "Verzió",
	'langReloadTheList': "Lista újratöltése",
	///////////////////
	//	Backup Panel
	///////////////////
	'langChooseYourBackup': "Biztonsági mentés kiválasztása",
	'langRestoreBackup': "Biztonsági mentés visszaállítása",
	'langDeleteBackup': "Biztonsági mentés törlése",
	'langBackupClear': "Remove previous folders before restoring the backup",
	///////////////////
	//	Players
	///////////////////
	'langUserManagement': "Felhasználó kezelés",
	'langIP': "IP cím",
	'langPort': "Port",
	'langKill': "Megölés",
	'langKick': "Kirúgás",
	'langBanName': "Kitiltás",
	'langBanIP': "IP cím kitiltása",
	'langAmount': "Mennyiségű idő",
	'langShootArrow': "Nyíl lövése",
	'langShootFireball': "Tűzgolyó kilövése",
	'langThrowEgg': "Tojás dobása",
	'langThrowSnowball': "Hógolyó dobása",
	'langTeleportToPlayer': "Teleport a játékoshoz",
	'langTeleportToCoord': "Teleport egy koordinátára",
	'langChangeName': "Név megváltoztatása",
	///////////////////
	//	Ban List
	///////////////////
	'langCreateBan': "IP cím vagy név kitiltása",
	'langClearFilter': "Szűrő törlése",
	///////////////////
	//	milkAdmin
	///////////////////
	'langRegisterAdmin': "Új admin regisztrálása",
	'langCreateAdmin': "Admin létrehozása"
};

var jsIndex = {
	'sProcessing': "Feldolgozás...",
	'sLengthMenu': "_MENU_ bővítmény egy oldalon", // Show 10 plugins
	'sZeroRecords': "Nem található bővítmény",
	'sInfo': "_START_->_END_ mutatása a _TOTAL_ bővítményből", // Showing 1->10 of 17 plugins
	'sInfoEmpty': "Nincs megjeleníthető bővítmény",
	'sInfoFiltered': "(szűrés a _MAX_ bővítményre)", // (filter of 17 plugins)
	'sSearch': "Bővítmény keresése:",
	'sFirst': "Első",
	'sPrevious': "Előző",
	'sNext': "Következő",
	'sLast': "Utolsó",
	'ReloadServer': "Szerver újratöltése...",
	'RestartServer': "Szerver újraindítása...",
	'StopServer': "Szerver leállítása...",
	'EnablePlugin': "Bővítmény engedélyezve!",
	'StartBackup': "Starting Backup!",
	'RTKNeeded': "You need the RemoteToolkit to use this function!",
	'NoUsersOnline': "Nincs online játékos",
	'NoBackups': "There are no backups!",
	'activate': "Aktiválás",
	'deactivate': "Deaktiválás",
	'unban': "Kitiltás törlése",
	'MustLogin': "You must login!",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again",
	'InvalidIP': "Érvénytelen IP cím!",
	'UpdateNow': "Frissítés most",
	'later': "Később"
};

var jsAjax = {
	'accountcreated': "Fiók létrehozva!",
	'worldsaved': "Világ elmentve!",
	'messagesent': "Üzenet elküldve!",
	'broadcastedmessage': "Szerverüzenet elküldve!",
	'forcestop': "Kényszerített leállítás",
	'plugindisabled': "A _NAME_ bővítmény letiltva!", // PluginX's plugin disabled.
	'pluginenabled': "A _NAME_ bővítmény engedélyezve!", // PluginX's plugin enabled.
	'editedproperty': "Érték szerkesztve",
	'worldbackedup': "A világ biztonsági mentése elkészült!",
	'deletebackup': "Biztonsági mentés törölve!",
	'kickplayer': "_NAME_ kitiltva a szerverről!", // Sharkiller kicked from the server
	'itemsgiven': "_NAME_ kapott _AMOUNT_ darab _ITEM_-t", // Sharkiller was given 64 units of IRON
	'itemsremoved': "_NAME_ elvsztett _AMOUNT_ darab _ITEM_-t", // Sharkiller removed 64 units of TNT
	'playerkilled': "_NAME_ megölve!", // Sharkiller killed
	'healthchanged': "_NAME_életereje megváltoztatva erre: _AMOUNT_/20", // Sharkiller's health changed to 5/20
	'playerbanned': "_NAME_ kitiltva!", // Sharkiller was banned!
	'playerunbanned': "_NAME_ kitiltása visszavonva!", // Sharkiller was unbanned!
	'ipbanned': "_IP_ kitiltva!", // 19.64.84.24 was banned!
	'ipunbanned': "_IP_ kitiltása visszavonva!", // 19.64.84.24 was unbanned!
	'arrowshooted': "Arrow Shot!", 
	'fireballshooted': "Tűzgolyó kilőve!", 
	'throwsnowball': "Hógolyó eldobva!",
	'throwegg': "Egg thrown!",
	'changename': "_OLD_ neve átállítva a következőre: _NEW_", // Sharkiller's name changed to Peter
	'playerteleported': "Játékos elteleportálva",
	'langchanged': "Nyelv megváltoztatva! Oldal újratöltése...",
	'wlloaded': "Whitelist loaded!",
	'wladded': "Added to Whitelist!",
	'wlsaved': "Whitelist has been saved successfully!",
	///////////////////
	//	Errors
	///////////////////
	'badparameters': "Rossz paraméterek",
	'messageempty': "Üres üzenet",
	'wladdfail': "Failed to add player to Whitelist!",
	'wlsavefail': "Failed to save Whitelist! Try again!",
	'playernotconnected': "Játékos nincs csatlakozva",
	'playernotbanned': "Játékos nincs kitiltva",
	'ipnotbanned': "IP cím nincs kitiltva",
	'langnotfound': "Nyelv nem található!"
};

///////////////////////////////////////////////
//
//   Language for login.html
//
///////////////////////////////////////////////

var langLogin = {
	'langmilkAdminLogin': "Bejelentkezés a milkAdminba",
	'langUsername': "Felhasználónév",
	'langPassword': "Jelszó",
	'langLogin': "Bejelentkezés"
};

var jsLogin = {
	'welcome': "Welcome! Loading page...",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again",
	'invalidlogin': "Érvénytelen felhasználónév és/vagy jelszó!"
};

///////////////////////////////////////////////
//
//   Language for register.html
//
///////////////////////////////////////////////

var langRegister = {
	'langCreateAnAccount': "Fiók készítése",
	'langUsername': "Felhasználónév",
	'langPassword': "Jelszó",
	'langCreateAccount': "Fiók készítése"
};

var jsRegister = {
	'created': "Fiók létrehozva! Oldal betöltése...",
	'notadmin': "Nem használhatod az \"admin\" felhasználónevet",
	'baduser': "Kérlek írj be egy érvényes felhasználónevet és jelszót",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again",
	'error': "Érvénytelen felhasználónév és/vagy jelszó!"
};

///////////////////////////////////////////////
//
//   Language for startServer.html
//
///////////////////////////////////////////////

var langStart = {
	'langStartServer': "Szerver indítása"
};

///////////////////////////////////////////////
//
//   Language for wait.html
//
///////////////////////////////////////////////

var langWait = {
	'langPleaseWait20Seconds': "Kérlek várj 20 másodpercet"
};

///////////////////////////////////////////////
//
//   Language for backup.html
//
///////////////////////////////////////////////

var langBackup = {
	'langStatus': "Backing up"
};

var jsBackup = {
	'Complete': "Backup Complete! Starting Server...",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again"
};