/**
	milkAdmin - WebAdministrator of Minecraft Server for Bukkit
    Copyright (C) 2010-2011  Alejandro Barreiro (Sharkiller)
**/
/*	
    This file is part of milkAdmin.

    This work is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License.
	To view a copy of this license, visit http'://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter to
	Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
*/

///////////////////////////////////////////////
//
//   Language for index.html
//
///////////////////////////////////////////////

var langIndex = {
	///////////////////
	//	Common
	///////////////////
	'lang1Yes': "Ja",
	'lang1No': "Nei",
	'lang1OK': "OK",
	'lang1Add': "Add",
	'lang1Cancel': "Avbryt",
	'lang1Send': "Send",
	'lang1Change': "Bytt",
	'lang1On': "På",
	'lang1Off': "Av",
	'lang1ReloadList': "Forny liste",
	'lang1IPAddress': "IP Adresse",
	'lang1Player': "Spiller",
	'lang1Action': "Handling",
	'lang1User': "Brukernavn",
	'lang1Password': "Passord",
	///////////////////
	//	Header
	///////////////////
	'langAbout': "langOm",
	'langLogout': "langLoggUt",
	'langChooseLanguage': "Velg språk:",
	'langTranslate': "Oversett til ditt språk",
	///////////////////
	//	Update Dialog
	///////////////////
	'langNewVersionAvailable': "Ny Version Tilgjengelig",
	'langVersionAvailable': "milkAdmin v_VER_ is available", // milkAdmin v1.0 is available
	'langUpdateNow': "Vil du oppdatere nå?",
	///////////////////
	//	About Dialog
	///////////////////
	'langmilkAdmin': "Om milkAdmin",
	'langDesign': "Design og Programmering:",
	'langUpdates': "Oppdateringer:",
	'langThanks': "Takk til:",
	///////////////////
	//	Ban Dialog
	///////////////////
	'langBanOptions': "Ban Alternativer",
	'langKickPlayer': "Spark Spiller",
	'langBanPlayerName': "Ban Spiller Navn",
	'langBanIPAddress': "Ban IP Adresse",
	'langCause': "Grunn",
	///////////////////
	//	Main Menu
	///////////////////
	'langRestartServer': "Restart Serveren",
	'langReloadServer': "Reload Serveren",
	'langBackupStart': "Start sikkerhetskopiering",
	'langSaveMap': "Lagre Verden",
	'langStopServer': "Stopp Serveren",
	///////////////////
	//	Sub Menu
	///////////////////
	'langServerSM': "Server",
	'langConsoleSM': "Konsoll",
	'langPluginsSM': "Plugins",
	'langBackupsSM': "Sikkerhetskopier",
	'langPlayersSM': "Spillere",
	'langBanListSM': "Banlist",
	'langWhitelistSM': "Hviteliste",
	///////////////////
	//	Server Info
	///////////////////
	'langLastRestart': "Forrige Restart",
	'langAmountPlayersOnline': "Number of Players Online",
	'langFreeMemory': "Ledig Minne",
	'langUsedMemory': "Brukt Minne",
	'langTotalMemory': "Totalt Minne",
	'langMaxMemory': "Maks Minne",
	'langTitleMemory': "Minneinformasjon - <b>Ledig Hurtigminne</b>: Vis mengden ledig hurtigminne i Minecraftserveren.<br><b>Brukt Hurtigminne</b>: Vis mengden oppbrukt hurtigminne i Minecraftserveren.<br><b>Totalt Hurtigminne</b>: Vis den totale mengden hurtigminne i Minecraftserveren.<br><b>Maks Hurtigminne</b>: Vis mengden hurtigminne som Minecraftserveren er tillatt å bruke.",
	'langFreeSpace': "Ledig lagringsplass",
	'langUsedSpace': "Brukt lagringsplass",
	'langTotalSpace': "Total lagringsplass",
	'langTitleSpace': "Informasjon om lagringsplass - Basert på \"Sikkerhetskopi\" mappen.",
	'langServerVersion': "Server Versjon",
	'langCraftbukkitBuild': "Craftbukkit Versjon",
	///////////////////
	//	Server Panel
	///////////////////
	//	Server Info
	///////////////////
	'langServerInfoSM': "Serverinformasjon",
	'langBroadcastMessage': "Broadcast Message",
	'langTitleBroadcastMessage': "Broadcast Message - Send a message to all players whitout tag.",
	'langLevelName': "Main Level Name",
	'langTitleLevelName': "The value will be used as world name and as folder name.<br>You may also copy your saved game folder here, and change the name to the same as that folder\'s to load it instead. ",
	'langMCIPPORT': "Minecraft Server IP and Port",
	'langTitleMCIPPORT': "<b>IP:</b> Set this if you want the server to bind to a particular IP. It is strongly recommended that you leave server-ip blank!<br><b>Port:</b> Changes the port the server is hosting on. This port must be forwarded if the server is going through a router.<br><b>Valid values:</b><ul><li><b>IP:</b> Blank, or the IP you want your server to run on.</li><li><b>Port:</b> A number between <b>1-65535</b>. Default: <b>25565</b><ul><li>Should be greater than 20000 to avoid conflicts with system reserved ports.</li></ul></li></ul>",
	'langMaxPlayers': "Max Players",
	'langTitleMaxPlayers': "The max numbers of players that can play on the server at the same time.<br><i>Note that if more players are on the server it will use more resources.</i><br><i>Note also, admin connections are not counted against the max players.</i><br><b>Valid values:</b><ul><li>A number between <b>0-255</b>.</li></ul>",
	'langViewDistance': "View Distance",
	'langTitleViewDistance': "The amount of chunks the server sends to the players.<br><b>Valid values:</b><ul><li>A number between <b>3-15</b>. Default: <b>10</b></li></ul>",
	'langHoldMessage': "Hold Message",
	'langTitleHoldMessage': "Message that MCSODRTK will display when Server is on Hold.<br><i>Needs MinecraftRemoteToolkit</i>",
	'langAllowNether': "Allow Nether",
	'langTitleAllowNether': "Allows players to travel to the Nether.<ul><li><b>true</b> = The server will allow Portals to send players to the Nether.</li><li><b>false</b> = Portals will not travel to the Nether.</li></ul>",
	'langSpawnMonsters': "Skap monstre",
	'langTitleSpawnMonsters': "Set true if you want monsters to be spawned at night, false if you don\'t.<br><i>Tip: if you have major lag, turn this off.</i><ul><li><b>true</b> = Monsters will appear at night and in the dark.</li><li><b>false</b> = No monsters.</li></ul>",
	'langSpawnAnimals': "Skap dyr",
	'langTitleSpawnAnimals': "Animals will be able to spawn.<ul><li><b>true</b> = Animals spawn as normal.</li><li><b>false</b> = Animals will immediately vanish.</li></ul>",
	'langOnlineMode': "Online Modus(Vertifiser Navn)",
	'langTitleOnlineMode': "Server checks connecting players against minecraft\'s account database.<br>Only set this to false if your server is not connected to the Internet.<ul><li><b>true</b> = The server will assume it has an Internet connection and check in minecraft.net every connecting player.</li><li><b>false</b> = The server will not attempt to check connecting players.</li></ul>",
	'langPVP': "Spiller mot Spiller (PvP)",
	'langTitlePVP': "Enable Player vs Player on the server.<br><i>Note: Hitting a player while having PvP set to false and having tamed wolfs will still cause the wolfs<br>attacking the attacked player.</i><ul><li><b>true</b> = Players will be able to kill each other.</li><li><b>false</b> = Players cannot kill other players.</li></ul>",
	'langAllowFlight': "Tillat Flyvning",
	'langTitleAllowFlight': "Will allow users to use flight/no-clip on your server, if they have an mod that provides flight/no-clip installed.<ul><li><b>true</b> = Flight/no clip is allowed, and used if the player have a no-clip mod installed.</li><li><b>false</b> = Flight/no-clip is not allowed.</li></ul>",
	'langWhitelist': "Hviteliste",
	'langTitleWhitelist': "Enable a white list on the server. With a white list enabled, users not on the white list will be unable to connect.<ul><li><b>true</b> = The file white-list.txt is used to generate the white list.</li><li><b>false</b> = No white list is used.</li></ul>",
	///////////////////
	//	Whitelist
	///////////////////
	'langWhitelistSM': "Hviteliste",
	'langWLAddPlayer': "Add player",
	'langWLDeleteSelected': "Delete Selected",
	'langWLSaveChanges': "Save Changes",
	///////////////////
	//	Plugin Panel
	///////////////////
	'langEnablePlugin': "Aktiver tilleggsmodul",
	'langEnable': "Aktiver",
	'langPluginName': "Navn på Tilleggsmodul",
	'langVersion': "Versjon",
	'langReloadTheList': "Last listen på nytt",
	///////////////////
	//	Backup Panel
	///////////////////
	'langChooseYourBackup': "Velg din Sikkerhetskopi",
	'langRestoreBackup': "Gjenopprett Sikkerhetskopi",
	'langDeleteBackup': "Slett Sikkerhetskopi",
	'langBackupClear': "Remove previous folders before restoring the backup",
	///////////////////
	//	Players
	///////////////////
	'langUserManagement': "Brukeradministrasjon",
	'langIP': "IP",
	'langPort': "Port",
	'langKill': "Drep",
	'langKick': "Spark",
	'langBanName': "Utesperr",
	'langBanIP': "Sperr IP",
	'langAmount': "Antall ganger",
	'langShootArrow': "Skyt Pil",
	'langShootFireball': "Skyt Flammeball",
	'langThrowEgg': "Kast Egg",
	'langThrowSnowball': "Kast Snøball",
	'langTeleportToPlayer': "Teleporter til Spiller",
	'langTeleportToCoord': "Teleporter til Koordinater",
	'langChangeName': "Bytt Navn",
	///////////////////
	//	Ban List
	///////////////////
	'langCreateBan': "Forby IP Adresse eller Navn",
	'langClearFilter': "Tøm Filteret",
	///////////////////
	//	milkAdmin
	///////////////////
	'langRegisterAdmin': "Registrer en ny administrator",
	'langCreateAdmin': "Lag Administrator"
};

var jsIndex = {
	'sProcessing': "Behandler...",
	'sLengthMenu': "Vis_Meny_Tillegsmoduler", // Show 10 plugins
	'sZeroRecords': "Ingen tilleggsmoduler funnet.",
	'sInfo': "Viser _START_->_END_ av _TOTAL_ tilleggsmoduler", // Showing 1->10 of 17 plugins
	'sInfoEmpty': "Ingen tilleggsmoduler å vise",
	'sInfoFiltered': "(filter av _MAX_ tilleggsmoduler)", // (filter of 17 plugins)
	'sSearch': "Søk etter tilleggsmodul:",
	'sFirst': "Første",
	'sPrevious': "Forrige",
	'sNext': "Neste",
	'sLast': "Siste",
	'ReloadServer': "Laster Server På Nytt!",
	'RestartServer': "Restarter Serveren!",
	'StopServer': "Stopper Serveren!",
	'EnablePlugin': "Plugin Aktivert!",
	'StartBackup': "Starting Backup!",
	'RTKNeeded': "You need the RemoteToolkit to use this function!",
	'NoUsersOnline': "Ingen Spillere Pålogget",
	'NoBackups': "There are no backups!",
	'activate': "Aktiver",
	'deactivate': "Deaktiver",
	'unban': "Unban",
	'MustLogin': "You must login!",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again",
	'InvalidIP': "Ugyldig IP Adresse",
	'UpdateNow': "Oppdater Nå",
	'later': "Senere"
};

var jsAjax = {
	'accountcreated': "Bruker Opprettet!",
	'worldsaved': "Verden lagret!",
	'messagesent': "Melding Sendt",
	'broadcastedmessage': "Kringkast Melding",
	'forcestop': "Tving Stopp",
	'plugindisabled': "_NAME_s tilleggsmodul deaktivért", // PluginX's plugin disabled.
	'pluginenabled': "_NAME_s tilleggsmodul aktivert", // PluginX's plugin enabled.
	'editedproperty': "Endret eiendom",
	'worldbackedup': "Kartet Er Sikkerhetskopiert",
	'deletebackup': "Sikkerhetskopi Slettet",
	'kickplayer': "_NAME_ ble sparket fra serveren", // Sharkiller kicked from the server
	'itemsgiven': "_NAME_ ble gitt _AMOUNT_ stykk _ITEM_", // Sharkiller was given 64 units of IRON
	'itemsremoved': "_NAME_ fjernet _AMOUNT_ stykk av _ITEM_", // Sharkiller removed 64 units of TNT
	'playerkilled': "_NAME_ ble drept", // Sharkiller killed
	'healthchanged': "_NAME_\'s liv ble endret til _AMOUNT_/20", // Sharkiller's health changed to 5/20
	'playerbanned': "_NAME_ ble bannet!", // Sharkiller was banned!
	'playerunbanned': "_NAME_ ble unbannet!", // Sharkiller was unbanned!
	'ipbanned': "_IP_ ble bannet!", // 19.64.84.24 was banned!
	'ipunbanned': "_IP_ ble unbannet!", // 19.64.84.24 was unbanned!
	'arrowshooted': "Arrow Shot!", 
	'fireballshooted': "Flammeballen har blitt avfyrt!", 
	'throwsnowball': "Snøball kastet!",
	'throwegg': "Egg thrown!",
	'changename': "_OLD_\'s navn endret til _NEW_", // Sharkiller's name changed to Peter
	'playerteleported': "Spiller Teleportert",
	'langchanged': "Språket har blitt forandret! Omlaster siden...",
	'wlloaded': "Whitelist loaded!",
	'wladded': "Added to Whitelist!",
	'wlsaved': "Whitelist has been saved successfully!",
	///////////////////
	//	Errors
	///////////////////
	'badparameters': "Dårlige parametre",
	'messageempty': "Tom Melding",
	'wladdfail': "Failed to add player to Whitelist!",
	'wlsavefail': "Failed to save Whitelist! Try again!",
	'playernotconnected': "Spiller er ikke tilkoblet",
	'playernotbanned': "Spiller er ikke bannet",
	'ipnotbanned': "IP er ikke bannet",
	'langnotfound': "Språket ble ikke funnet!"
};

///////////////////////////////////////////////
//
//   Language for login.html
//
///////////////////////////////////////////////

var langLogin = {
	'langmilkAdminLogin': "Logg inn i milkAdmin",
	'langUsername': "Brukernavn",
	'langPassword': "Passord",
	'langLogin': "Logg inn"
};

var jsLogin = {
	'welcome': "Welcome! Loading page...",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again",
	'invalidlogin': "Feil Brukernavn og Passord!"
};

///////////////////////////////////////////////
//
//   Language for register.html
//
///////////////////////////////////////////////

var langRegister = {
	'langCreateAnAccount': "Lag en Bruker",
	'langUsername': "Brukernavn",
	'langPassword': "Passord",
	'langCreateAccount': "Lag Bruker"
};

var jsRegister = {
	'created': "Bruker Opprettet! Laster side...",
	'notadmin': "Du kan ikke bruke \"admin\" som brukernavn",
	'baduser': "Vennligst skriv inn et gyldig brukernavn og passord",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again",
	'error': "Feil Brukernavn og Passord!"
};

///////////////////////////////////////////////
//
//   Language for startServer.html
//
///////////////////////////////////////////////

var langStart = {
	'langStartServer': "Start Server"
};

///////////////////////////////////////////////
//
//   Language for wait.html
//
///////////////////////////////////////////////

var langWait = {
	'langPleaseWait20Seconds': "Vennligst vent 20 sekunder"
};

///////////////////////////////////////////////
//
//   Language for backup.html
//
///////////////////////////////////////////////

var langBackup = {
	'langStatus': "Backing up"
};

var jsBackup = {
	'Complete': "Backup Complete! Starting Server...",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again"
};