/**
	milkAdmin - WebAdministrator of Minecraft Server for Bukkit
    Copyright (C) 2010-2011  Alejandro Barreiro (Sharkiller)
**/
/*	
    This file is part of milkAdmin.

    This work is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License.
	To view a copy of this license, visit http'://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter to
	Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
*/

///////////////////////////////////////////////
//
//   Language for index.html
//
///////////////////////////////////////////////

var langIndex = {
	///////////////////
	//	Common
	///////////////////
	'lang1Yes': "Evet",
	'lang1No': "Hayır",
	'lang1OK': "Tamam",
	'lang1Add': "Add",
	'lang1Cancel': "Vazgeç",
	'lang1Send': "Gönder",
	'lang1Change': "Degistir",
	'lang1On': "Açık",
	'lang1Off': "Kapalı",
	'lang1ReloadList': "Listeyi yenile",
	'lang1IPAddress': "IP Adres",
	'lang1Player': "Oyuncu",
	'lang1Action': "Hareket",
	'lang1User': "Kullanıcı adı",
	'lang1Password': "Şifre",
	///////////////////
	//	Header
	///////////////////
	'langAbout': "Hakkında ...",
	'langLogout': "Çıkış",
	'langChooseLanguage': "Dil Seçin:",
	'langTranslate': "Translate to your language",
	///////////////////
	//	Update Dialog
	///////////////////
	'langNewVersionAvailable': "Yeni versiyon çıktı.",
	'langVersionAvailable': "milkAdmin v_VER_ is available", // milkAdmin v1.0 is available
	'langUpdateNow': "Güncellemek ister misin?",
	///////////////////
	//	About Dialog
	///////////////////
	'langmilkAdmin': "About milkAdmin",
	'langDesign': "Design and Programming:",
	'langUpdates': "Güncellemeler",
	'langThanks': "Sayesinde:",
	///////////////////
	//	Ban Dialog
	///////////////////
	'langBanOptions': "Ban Seçenekleri",
	'langKickPlayer': "Oyuncuyu at",
	'langBanPlayerName': "Oyuncuyu Banla",
	'langBanIPAddress': "IP adresini banla",
	'langCause': "Sebep",
	///////////////////
	//	Main Menu
	///////////////////
	'langRestartServer': "Yeniden Başlat",
	'langReloadServer': "Sunucuyu yenile",
	'langBackupStart': "Start Backup",
	'langSaveMap': "Kaydet",
	'langStopServer': "Sunucuyu durdur",
	///////////////////
	//	Sub Menu
	///////////////////
	'langServerSM': "Sunucu",
	'langConsoleSM': "Konsol",
	'langPluginsSM': "Pluginler",
	'langBackupsSM': "Yedekler",
	'langPlayersSM': "Oyuncular",
	'langBanListSM': "Banlist",
	'langWhitelistSM': "Whitelist",
	///////////////////
	//	Server Info
	///////////////////
	'langLastRestart': "Son Yeniden Başlatım",
	'langAmountPlayersOnline': "Number of Players Online",
	'langFreeMemory': "Boş RAM",
	'langUsedMemory': "Kullanılmış RAM",
	'langTotalMemory': "Toplam RAM",
	'langMaxMemory': "Maksimum RAM",
	'langTitleMemory': "Memory Data - <b>Free Memory</b>: Show the amount of free memory in the Minecraft Server.<br><b>Used Memory</b>: Show the amount of used memory in the Minecraft Server.<br><b>Total Memory</b>: Show the total amount of memory that the Minecraft Server use right now.<br><b>Max Memory</b>: Show the maximum amount of memory that the Minecraft Server will attempt to use.",
	'langFreeSpace': "Free Space",
	'langUsedSpace': "Used Space",
	'langTotalSpace': "Total Space",
	'langTitleSpace': "Space Data - Based on &quot;Backup Folder&quot; directory.",
	'langServerVersion': "Sunucu Versiyonu",
	'langCraftbukkitBuild': "Craftbukkit Versiyon",
	///////////////////
	//	Server Panel
	///////////////////
	//	Server Info
	///////////////////
	'langServerInfoSM': "Server Info",
	'langBroadcastMessage': "Broadcast Message",
	'langTitleBroadcastMessage': "Broadcast Message - Send a message to all players whitout tag.",
	'langLevelName': "Main Level Name",
	'langTitleLevelName': "The value will be used as world name and as folder name.<br>You may also copy your saved game folder here, and change the name to the same as that folder\'s to load it instead. ",
	'langMCIPPORT': "Minecraft Server IP and Port",
	'langTitleMCIPPORT': "<b>IP:</b> Set this if you want the server to bind to a particular IP. It is strongly recommended that you leave server-ip blank!<br><b>Port:</b> Changes the port the server is hosting on. This port must be forwarded if the server is going through a router.<br><b>Valid values:</b><ul><li><b>IP:</b> Blank, or the IP you want your server to run on.</li><li><b>Port:</b> A number between <b>1-65535</b>. Default: <b>25565</b><ul><li>Should be greater than 20000 to avoid conflicts with system reserved ports.</li></ul></li></ul>",
	'langMaxPlayers': "Max Players",
	'langTitleMaxPlayers': "The max numbers of players that can play on the server at the same time.<br><i>Note that if more players are on the server it will use more resources.</i><br><i>Note also, admin connections are not counted against the max players.</i><br><b>Valid values:</b><ul><li>A number between <b>0-255</b>.</li></ul>",
	'langViewDistance': "View Distance",
	'langTitleViewDistance': "The amount of chunks the server sends to the players.<br><b>Valid values:</b><ul><li>A number between <b>3-15</b>. Default: <b>10</b></li></ul>",
	'langHoldMessage': "Hold Message",
	'langTitleHoldMessage': "Message that MCSODRTK will display when Server is on Hold.<br><i>Needs MinecraftRemoteToolkit</i>",
	'langAllowNether': "Allow Nether",
	'langTitleAllowNether': "Allows players to travel to the Nether.<ul><li><b>true</b> = The server will allow Portals to send players to the Nether.</li><li><b>false</b> = Portals will not travel to the Nether.</li></ul>",
	'langSpawnMonsters': "Canavarlar Doğsun",
	'langTitleSpawnMonsters': "Set true if you want monsters to be spawned at night, false if you don\'t.<br><i>Tip: if you have major lag, turn this off.</i><ul><li><b>true</b> = Monsters will appear at night and in the dark.</li><li><b>false</b> = No monsters.</li></ul>",
	'langSpawnAnimals': "Hayvanlar Doğsun",
	'langTitleSpawnAnimals': "Animals will be able to spawn.<ul><li><b>true</b> = Animals spawn as normal.</li><li><b>false</b> = Animals will immediately vanish.</li></ul>",
	'langOnlineMode': "Çevrimiçi Mod",
	'langTitleOnlineMode': "Server checks connecting players against minecraft\'s account database.<br>Only set this to false if your server is not connected to the Internet.<ul><li><b>true</b> = The server will assume it has an Internet connection and check in minecraft.net every connecting player.</li><li><b>false</b> = The server will not attempt to check connecting players.</li></ul>",
	'langPVP': "PvP",
	'langTitlePVP': "Enable Player vs Player on the server.<br><i>Note: Hitting a player while having PvP set to false and having tamed wolfs will still cause the wolfs<br>attacking the attacked player.</i><ul><li><b>true</b> = Players will be able to kill each other.</li><li><b>false</b> = Players cannot kill other players.</li></ul>",
	'langAllowFlight': "Uçmak",
	'langTitleAllowFlight': "Will allow users to use flight/no-clip on your server, if they have an mod that provides flight/no-clip installed.<ul><li><b>true</b> = Flight/no clip is allowed, and used if the player have a no-clip mod installed.</li><li><b>false</b> = Flight/no-clip is not allowed.</li></ul>",
	'langWhitelist': "Whitelist",
	'langTitleWhitelist': "Enable a white list on the server. With a white list enabled, users not on the white list will be unable to connect.<ul><li><b>true</b> = The file white-list.txt is used to generate the white list.</li><li><b>false</b> = No white list is used.</li></ul>",
	///////////////////
	//	Whitelist
	///////////////////
	'langWhitelistSM': "Whitelist",
	'langWLAddPlayer': "Add player",
	'langWLDeleteSelected': "Delete Selected",
	'langWLSaveChanges': "Save Changes",
	///////////////////
	//	Plugin Panel
	///////////////////
	'langEnablePlugin': "Plugini aç",
	'langEnable': "Aç",
	'langPluginName': "Plugin Adı",
	'langVersion': "Sürüm",
	'langReloadTheList': "Listeyi yenile",
	///////////////////
	//	Backup Panel
	///////////////////
	'langChooseYourBackup': "Yedek seç",
	'langRestoreBackup': "Yedek yenile",
	'langDeleteBackup': "Yedek sil",
	'langBackupClear': "Remove previous folders before restoring the backup",
	///////////////////
	//	Players
	///////////////////
	'langUserManagement': "Oyuncu Yönetimi",
	'langIP': "IP",
	'langPort': "Port",
	'langKill': "Öldür",
	'langKick': "At",
	'langBanName': "Yasakla",
	'langBanIP': "IP adresini banla",
	'langAmount': "Zaman Miktarı",
	'langShootArrow': "Ok at",
	'langShootFireball': "Ateş topu atıldı",
	'langThrowEgg': "Yumurta fırlat",
	'langThrowSnowball': "Kartopu at",
	'langTeleportToPlayer': "Oyuncuya ışınlan",
	'langTeleportToCoord': "Koordinata ışınlan",
	'langChangeName': "İsim değiştir",
	///////////////////
	//	Ban List
	///////////////////
	'langCreateBan': "İsim yada IP adresi banla",
	'langClearFilter': "Temizle",
	///////////////////
	//	milkAdmin
	///////////////////
	'langRegisterAdmin': "Yeni admin kaydet",
	'langCreateAdmin': "Admin yarat"
};

var jsIndex = {
	'sProcessing': "İşleniyor..",
	'sLengthMenu': "Pluguinleri Göster _Menu_", // Show 10 plugins
	'sZeroRecords': "Plugin bulunamadı.",
	'sInfo': "Gösteriliyor _START_->_END_ of _TOTAL_ plugins", // Showing 1->10 of 17 plugins
	'sInfoEmpty': "Gösterilicek Pluguin Yok",
	'sInfoFiltered': "(filter of _MAX_ plugins)", // (filter of 17 plugins)
	'sSearch': "Plugin arama:",
	'sFirst': "İlk",
	'sPrevious': "Önceki",
	'sNext': "Sonraki",
	'sLast': "Son",
	'ReloadServer': "Yeniden yükleniyor..",
	'RestartServer': "Yeniden başlatılıyor..",
	'StopServer': "Durduruluyor..",
	'EnablePlugin': "Plugin Açıldı",
	'StartBackup': "Starting Backup!",
	'RTKNeeded': "You need the RemoteToolkit to use this function!",
	'NoUsersOnline': "Oyuncu yok",
	'NoBackups': "There are no backups!",
	'activate': "Aktif",
	'deactivate': "Deaktif",
	'unban': "Ban kaldır",
	'MustLogin': "You must login!",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again",
	'InvalidIP': "Hatalı IP Adres",
	'UpdateNow': "Şimdi Güncelle",
	'later': "Daha sonra."
};

var jsAjax = {
	'accountcreated': "Hesap açıldı",
	'worldsaved': "Dünya Kaydedildi",
	'messagesent': "Mesaj Yollandı",
	'broadcastedmessage': "Mesaj yollandı",
	'forcestop': "Hızlı durdur",
	'plugindisabled': "_NAME_ adlı plugin devre dışı", // PluginX's plugin disabled.
	'pluginenabled': "_NAME_ adlı plugin devrede", // PluginX's plugin enabled.
	'editedproperty': "Property düzenleme",
	'worldbackedup': "World Yedeklendi",
	'deletebackup': "Yedekleme Silindi",
	'kickplayer': "_NAME_ serverdan atıldı.", // Sharkiller kicked from the server
	'itemsgiven': "_NAME_  \'e _AMOUNT_ tane _ITEM_ verildi.", // Sharkiller was given 64 units of IRON
	'itemsremoved': "_NAME_ \'den _AMOUNT_ tane _ITEM_ alındı.", // Sharkiller removed 64 units of TNT
	'playerkilled': "_NAME_ öldürüldü.", // Sharkiller killed
	'healthchanged': "_NAME_ \'in sağlığı değiştirilidi _AMOUNT_/20", // Sharkiller's health changed to 5/20
	'playerbanned': "_NAME_ yasaklandı!", // Sharkiller was banned!
	'playerunbanned': "_NAME_  \'in yasaklanması kalktı!", // Sharkiller was unbanned!
	'ipbanned': "_IP_ yasaklandı!", // 19.64.84.24 was banned!
	'ipunbanned': "_IP_ yasağı kalktı!", // 19.64.84.24 was unbanned!
	'arrowshooted': "Arrow Shot!", 
	'fireballshooted': "Ateş topu vuruldu!", 
	'throwsnowball': "Kartopu Atıldır!",
	'throwegg': "Egg thrown!",
	'changename': "_OLD_\'in ismi _NEW_ olarak değiştirildi.", // Sharkiller's name changed to Peter
	'playerteleported': "Oyuncu Işınlandı",
	'langchanged': "Dil Değiştirildi! Sayfa Yenileniyor...",
	'wlloaded': "Whitelist loaded!",
	'wladded': "Added to Whitelist!",
	'wlsaved': "Whitelist has been saved successfully!",
	///////////////////
	//	Errors
	///////////////////
	'badparameters': "Yetersiz Parametre",
	'messageempty': "Boş İleti",
	'wladdfail': "Failed to add player to Whitelist!",
	'wlsavefail': "Failed to save Whitelist! Try again!",
	'playernotconnected': "Oyuncu bağlı değil",
	'playernotbanned': "Oyuncu yasaklı değil",
	'ipnotbanned': "IP adresi yasaklı değil",
	'langnotfound': "Dil Bulunamadı"
};

///////////////////////////////////////////////
//
//   Language for login.html
//
///////////////////////////////////////////////

var langLogin = {
	'langmilkAdminLogin': "MilkAdmin\'e Giriliyor",
	'langUsername': "Kullanıcı adı",
	'langPassword': "Şifre",
	'langLogin': "Giriş"
};

var jsLogin = {
	'welcome': "Welcome! Loading page...",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again",
	'invalidlogin': "Hatalı Kullanıcı adı veya şifre"
};

///////////////////////////////////////////////
//
//   Language for register.html
//
///////////////////////////////////////////////

var langRegister = {
	'langCreateAnAccount': "Hesap yarat",
	'langUsername': "Kullanıcı adı",
	'langPassword': "Şifre",
	'langCreateAccount': "Hesap yarat"
};

var jsRegister = {
	'created': "Hesap açıldı",
	'notadmin': "Kullanıcı adı olarak \"admin\" kullanamazsınız",
	'baduser': "Lütfen geçerli bir kullanıcı adı ve şifrenizi girin",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again",
	'error': "Hatalı Kullanıcı adı veya şifre"
};

///////////////////////////////////////////////
//
//   Language for startServer.html
//
///////////////////////////////////////////////

var langStart = {
	'langStartServer': "Sunucuyu Başlat"
};

///////////////////////////////////////////////
//
//   Language for wait.html
//
///////////////////////////////////////////////

var langWait = {
	'langPleaseWait20Seconds': "Lütfen 20 Saniye Bekleyiniz"
};

///////////////////////////////////////////////
//
//   Language for backup.html
//
///////////////////////////////////////////////

var langBackup = {
	'langStatus': "Backing up"
};

var jsBackup = {
	'Complete': "Backup Complete! Starting Server...",
	'UnknownError': "Unknown Error! Try again!",
	'NotResponse': "Server not responding! Try again"
};